## org.eclipse.amp.amf.testing.parser.antlr.internal
Class InternalATestLexer

    java.lang.Object
      org.antlr.runtime.BaseRecognizer
          org.antlr.runtime.Lexer
              org.eclipse.xtext.parser.antlr.Lexer
                  org.eclipse.amp.amf.testing.parser.antlr.internal.InternalATestLexer

All Implemented Interfaces:
  org.antlr.runtime.TokenSource

    public class InternalATestLexer

extends org.eclipse.xtext.parser.antlr.Lexer

Field Summary
`static int` `EOF`
`static int` `RULE_ANY_OTHER`
`static int` `RULE_DESC_STRING`
`static int` `RULE_ID`
`static int` `RULE_INT`
`static int` `RULE_INTEGER`
`static int` `RULE_ML_COMMENT`
`static int` `RULE_REAL`
`static int` `RULE_SL_COMMENT`
`static int` `RULE_STRING`
`static int` `RULE_WS`
`static int` `T14`
`static int` `T15`
`static int` `T16`
`static int` `T17`
`static int` `T18`
`static int` `T19`
`static int` `T20`
`static int` `T21`
`static int` `T22`
`static int` `T23`
`static int` `T24`
`static int` `T25`
`static int` `T26`
`static int` `T27`
`static int` `T28`
`static int` `T29`
`static int` `Tokens`

Fields inherited from class org.antlr.runtime.BaseRecognizer
`DEFAULT_TOKEN_CHANNEL, HIDDEN, INITIAL_FOLLOW_STACK_SIZE, MEMO_RULE_FAILED, MEMO_RULE_FAILED_I, MEMO_RULE_UNKNOWN, NEXT_TOKEN_RULE_NAME`

Constructor Summary
`InternalATestLexer()`
`InternalATestLexer(org.antlr.runtime.CharStream input)`

Method Summary
`java.lang.String` `getGrammarFileName()`
`void` `mRULE_ANY_OTHER()`
`void` `mRULE_DESC_STRING()`
`void` `mRULE_ID()`
`void` `mRULE_INT()`
`void` `mRULE_INTEGER()`
`void` `mRULE_ML_COMMENT()`
`void` `mRULE_REAL()`
`void` `mRULE_SL_COMMENT()`
`void` `mRULE_STRING()`
`void` `mRULE_WS()`
`void` `mT14()`
`void` `mT15()`
`void` `mT16()`
`void` `mT17()`
`void` `mT18()`
`void` `mT19()`
`void` `mT20()`
`void` `mT21()`
`void` `mT22()`
`void` `mT23()`
`void` `mT24()`
`void` `mT25()`
`void` `mT26()`
`void` `mT27()`
`void` `mT28()`
`void` `mT29()`
`void` `mTokens()`

Methods inherited from class org.eclipse.xtext.parser.antlr.Lexer
`emitErrorMessage, getErrorMessage, nextToken, recoverFromMismatchedToken`

Methods inherited from class org.antlr.runtime.Lexer
`emit, emit, getCharErrorDisplay, getCharIndex, getCharPositionInLine, getErrorMessage, getLine, getText, match, match, matchAny, matchRange, recover, reportError, reset, setCharStream, setText, skip, traceIn, traceOut`

Methods inherited from class org.antlr.runtime.BaseRecognizer
`alreadyParsedRule, beginResync, consumeUntil, consumeUntil, displayRecognitionError, endResync, getBacktrackingLevel, getErrorHeader, getRuleInvocationStack, getRuleInvocationStack, getRuleMemoization, getRuleMemoizationCacheSize, getTokenErrorDisplay, getTokenNames, match, matchAny, memoize, recover, recoverFromMismatchedSet, toStrings, traceIn, traceOut`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RULE_ID

    public static final int RULE_ID

See Also:
  Constant Field Values

### RULE_ANY_OTHER

    public static final int RULE_ANY_OTHER

See Also:
  Constant Field Values

### T29

    public static final int T29

See Also:
  Constant Field Values

### T28

    public static final int T28

See Also:
  Constant Field Values

### T27

    public static final int T27

See Also:
  Constant Field Values

### T26

    public static final int T26

See Also:
  Constant Field Values

### T25

    public static final int T25

See Also:
  Constant Field Values

### Tokens

    public static final int Tokens

See Also:
  Constant Field Values

### T24

    public static final int T24

See Also:
  Constant Field Values

### EOF

    public static final int EOF

See Also:
  Constant Field Values

### RULE_SL_COMMENT

    public static final int RULE_SL_COMMENT

See Also:
  Constant Field Values

### T23

    public static final int T23

See Also:
  Constant Field Values

### T22

    public static final int T22

See Also:
  Constant Field Values

### T21

    public static final int T21

See Also:
  Constant Field Values

### T20

    public static final int T20

See Also:
  Constant Field Values

### RULE_ML_COMMENT

    public static final int RULE_ML_COMMENT

See Also:
  Constant Field Values

### RULE_STRING

    public static final int RULE_STRING

See Also:
  Constant Field Values

### RULE_INT

    public static final int RULE_INT

See Also:
  Constant Field Values

### RULE_REAL

    public static final int RULE_REAL

See Also:
  Constant Field Values

### T14

    public static final int T14

See Also:
  Constant Field Values

### RULE_WS

    public static final int RULE_WS

See Also:
  Constant Field Values

### T15

    public static final int T15

See Also:
  Constant Field Values

### RULE_DESC_STRING

    public static final int RULE_DESC_STRING

See Also:
  Constant Field Values

### T16

    public static final int T16

See Also:
  Constant Field Values

### T17

    public static final int T17

See Also:
  Constant Field Values

### T18

    public static final int T18

See Also:
  Constant Field Values

### T19

    public static final int T19

See Also:
  Constant Field Values

### RULE_INTEGER

    public static final int RULE_INTEGER

See Also:
  Constant Field Values

Constructor Detail

### InternalATestLexer

    public InternalATestLexer()

### InternalATestLexer

    public InternalATestLexer(org.antlr.runtime.CharStream input)

Method Detail

### getGrammarFileName

    public java.lang.String getGrammarFileName()

  Overrides:
    `getGrammarFileName` in class `org.antlr.runtime.BaseRecognizer`

### mT14

    public final void mT14()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT15

    public final void mT15()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT16

    public final void mT16()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT17

    public final void mT17()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT18

    public final void mT18()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT19

    public final void mT19()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT20

    public final void mT20()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT21

    public final void mT21()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT22

    public final void mT22()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT23

    public final void mT23()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT24

    public final void mT24()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT25

    public final void mT25()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT26

    public final void mT26()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT27

    public final void mT27()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT28

    public final void mT28()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mT29

    public final void mT29()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mRULE_INTEGER

    public final void mRULE_INTEGER()
                             throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mRULE_REAL

    public final void mRULE_REAL()
                          throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mRULE_DESC_STRING

    public final void mRULE_DESC_STRING()
                                 throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mRULE_ID

    public final void mRULE_ID()
                        throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mRULE_INT

    public final void mRULE_INT()
                         throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mRULE_STRING

    public final void mRULE_STRING()
                            throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mRULE_ML_COMMENT

    public final void mRULE_ML_COMMENT()
                                throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mRULE_SL_COMMENT

    public final void mRULE_SL_COMMENT()
                                throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mRULE_WS

    public final void mRULE_WS()
                        throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mRULE_ANY_OTHER

    public final void mRULE_ANY_OTHER()
                               throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mTokens

    public void mTokens()
                 throws org.antlr.runtime.RecognitionException

  Specified by:
    `mTokens` in class `org.antlr.runtime.Lexer`
  Throws:
    `org.antlr.runtime.RecognitionException`